Bug 90795 - [NEW PORT] multimedia/k9copy A DVD-9 to DVD-5 shrinking application for KDE
Summary: [NEW PORT] multimedia/k9copy A DVD-9 to DVD-5 shrinking application for KDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-22 10:30 UTC by Alexander V. Ribchansky
Modified: 2005-12-26 00:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander V. Ribchansky 2005-12-22 10:30:03 UTC

Fix: ---k9copy begin---
shar `find /usr/ports/multimedia/k9copy`


---k9copy end-----aJsqGIx6Ro7cK8vup6dBe8cYVkiz4ZX7Wsihoif8al4bjySd
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       /usr/ports/multimedia/k9copy
#       /usr/ports/multimedia/k9copy/Makefile
#       /usr/ports/multimedia/k9copy/distinfo
#       /usr/ports/multimedia/k9copy/pkg-descr
#       /usr/ports/multimedia/k9copy/pkg-plist
#       /usr/ports/multimedia/k9copy/files
#       /usr/ports/multimedia/k9copy/files/patch-src_kcddrive.cpp
#       /usr/ports/multimedia/k9copy/files/patch-src_kifo.cpp
#       /usr/ports/multimedia/k9copy/files/patch-src_kdvd.cpp
#       /usr/ports/multimedia/k9copy/files/patch-src_Makefile.in
#       /usr/ports/multimedia/k9copy/files/patch-vamps_Makefile.in
#       /usr/ports/multimedia/k9copy/files/patch-src_K9copy.desktop
#
echo c - /usr/ports/multimedia/k9copy
mkdir -p /usr/ports/multimedia/k9copy > /dev/null 2>&1
echo x - /usr/ports/multimedia/k9copy/Makefile
sed 's/^X//' >/usr/ports/multimedia/k9copy/Makefile << 'END-of-/usr/ports/multimedia/k9copy/Makefile'
X# New ports collection makefile for:   k9copy
X# Date created:                                19 Dec 2005
X# Whom:                                        Alexander V. Ribchansky <triosoft@triosoft.com.ua>
X# $FreeBSD$
X
XPORTNAME=      k9copy
XPORTVERSION=   1.0.1
XCATEGORIES=    multimedia kde
XMASTER_SITES=  http://k9copy.free.fr/
X
XMAINTAINER=    triosoft@triosoft.com.ua
XCOMMENT=       A DVD-9 to DVD-5 shrinking application for KDE
X
XLIB_DEPENDS=   dvdread.3:${PORTSDIR}/multimedia/libdvdread
XRUN_DEPENDS=   growisofs:${PORTSDIR}/sysutils/dvd+rw-tools \
X               dvdauthor:${PORTSDIR}/multimedia/dvdauthor
X
XUSE_KDELIBS_VER=       3
XUSE_REINPLACE= yes
XUSE_GMAKE=     yes
XGNU_CONFIGURE= yes
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}b
X
Xpost-patch:
X       @${REINPLACE_CMD} -e 's,-O2,,g ; \
X                s,-lpthread,${PTHREAD_LIBS},g' ${WRKSRC}/${CONFIGURE_SCRIPT}
X       @${REINPLACE_CMD} -e \
X               's,$$(LIB_KDEUI),$$(LIB_KDEUI) $$(LIBPTHREAD) -lcam,g' \
X                       ${WRKSRC}/src/Makefile.in
X
X.include <bsd.port.mk>
END-of-/usr/ports/multimedia/k9copy/Makefile
echo x - /usr/ports/multimedia/k9copy/distinfo
sed 's/^X//' >/usr/ports/multimedia/k9copy/distinfo << 'END-of-/usr/ports/multimedia/k9copy/distinfo'
XMD5 (k9copy-1.0.1.tar.gz) = cc13f799a13784f7c9aaa2d40d608b0b
XSHA256 (k9copy-1.0.1.tar.gz) = 1111de1f6cee40f17e3a341f656b046f2a63a5b9debb68c9660c17d217d080bb
XSIZE (k9copy-1.0.1.tar.gz) = 1206622
END-of-/usr/ports/multimedia/k9copy/distinfo
echo x - /usr/ports/multimedia/k9copy/pkg-descr
sed 's/^X//' >/usr/ports/multimedia/k9copy/pkg-descr << 'END-of-/usr/ports/multimedia/k9copy/pkg-descr'
XFrom K9copy website:
X
XK9Copy is a small utility which allows the copy of DVD on Linux.
XThe DVD video stream is compressed by the program Vamps.
X
X1. Copy without menus :
XIn this case, dvdauthor is used to create a new DVD structure. It is possible
Xto choose the order in which the video sequences are played.
X2. Copy with menus :
XAs dvdauthor does not make it possible to integrate the original menus,
XK9Copy reproduces the original structure of the DVD. The navigation packs as
Xwell as IFO files are modified to point on the compressed MPEG stream.
X
XFeatures
X* The video stream is compressed to make the DVD fit on 4.7 Gb recordable DVD
X* DVD Burning
X* Creation of ISO images
X* Possibility of selecting the audio tracks and subtitles to be copied
X* Title preview (video only)
X* Possibility of preserving the original menus
X
XWWW: http://k9copy.free.fr
X
X- Alexander V. Ribchnaky triosoft@triosoft.com.ua
END-of-/usr/ports/multimedia/k9copy/pkg-descr
echo x - /usr/ports/multimedia/k9copy/pkg-plist
sed 's/^X//' >/usr/ports/multimedia/k9copy/pkg-plist << 'END-of-/usr/ports/multimedia/k9copy/pkg-plist'
Xbin/k9copy
Xbin/k9playcell
Xbin/k9vamps
Xshare/applnk/Multimedia/K9copy.desktop
Xshare/apps/k9copy/k9copyui.rc
Xshare/doc/HTML/en/k9copy/index.cache.bz2
Xshare/doc/HTML/en/k9copy/index.docbook
Xshare/doc/HTML/en/k9copy/common
Xshare/icons/hicolor/16x16/apps/k9copy.png
Xshare/icons/hicolor/32x32/apps/k9copy.png
Xshare/icons/hicolor/48x48/apps/k9copy.png
Xshare/locale/en_GB/LC_MESSAGES/k9copy.mo
Xshare/locale/es/LC_MESSAGES/k9copy.mo
Xshare/locale/fr/LC_MESSAGES/k9copy.mo
Xshare/locale/hu/LC_MESSAGES/k9copy.mo
Xshare/locale/it/LC_MESSAGES/k9copy.mo
X@dirrm share/doc/HTML/en/k9copy
X@dirrm share/apps/k9copy
END-of-/usr/ports/multimedia/k9copy/pkg-plist
echo c - /usr/ports/multimedia/k9copy/files
mkdir -p /usr/ports/multimedia/k9copy/files > /dev/null 2>&1
echo x - /usr/ports/multimedia/k9copy/files/patch-src_kcddrive.cpp
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-src_kcddrive.cpp << 'END-of-/usr/ports/multimedia/k9copy/files/patch-src_kcddrive.cpp'
X--- src/kcddrive.cpp.orig      Thu Dec 15 16:49:47 2005
X+++ src/kcddrive.cpp   Thu Dec 15 16:49:47 2005
X@@ -27,8 +27,10 @@
X #include <sys/stat.h>
X #include <sys/ioctl.h>
X #include <fcntl.h>
X+/*
X #include <scsi/scsi.h>
X #include <scsi/sg.h>
X+*/
X #include <unistd.h>
X
X #include <qfile.h>
X@@ -177,7 +179,7 @@
X         return 0;
X     }
X
X-    if (ioctl (fd, SCSI_IOCTL_GET_BUS_NUMBER, &bus) < 0) {
X+/*    if (ioctl (fd, SCSI_IOCTL_GET_BUS_NUMBER, &bus) < 0) {
X         close (fd);
X         return 0;
X     }
X@@ -185,6 +187,7 @@
X         close(fd);
X         return 0;
X     }
X+*/
X     id = m_idlun.mux4 & 0xFF;
X     lun = (m_idlun.mux4 >> 8)  & 0xFF;
X
END-of-/usr/ports/multimedia/k9copy/files/patch-src_kcddrive.cpp
echo x - /usr/ports/multimedia/k9copy/files/patch-src_kifo.cpp
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-src_kifo.cpp << 'END-of-/usr/ports/multimedia/k9copy/files/patch-src_kifo.cpp'
X--- src/kifo.cpp.orig  Sun Dec 18 23:40:34 2005
X+++ src/kifo.cpp       Sun Dec 18 23:40:52 2005
X@@ -21,6 +21,9 @@
X #include <dvdread/dvd_reader.h>
X #include <dvdread/ifo_read.h>
X #include <dvdread/ifo_print.h>
X+#ifdef __FreeBSD__
X+#include <osreldate.h>
X+#endif
X #include "bswap.h"
X
X #ifndef DVD_BLOCK_LEN
END-of-/usr/ports/multimedia/k9copy/files/patch-src_kifo.cpp
echo x - /usr/ports/multimedia/k9copy/files/patch-src_kdvd.cpp
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-src_kdvd.cpp << 'END-of-/usr/ports/multimedia/k9copy/files/patch-src_kdvd.cpp'
X--- src/kdvd.cpp.orig  Sun Dec 18 23:50:47 2005
X+++ src/kdvd.cpp       Mon Dec 19 00:19:47 2005
X@@ -409,7 +409,7 @@
X         return -1;
X     }
X
X-    if ( fseek(filehandle, 32808, SEEK_SET )) {
X+    if ( fseek(filehandle, 32768, SEEK_SET )) {
X         fclose(filehandle);
X         c.sprintf(tr2i18n("Couldn't seek in %s for title\n"), dvd_device);
X         setError(c);
X@@ -417,14 +417,20 @@
X         return -1;
X     }
X
X-    if ( 32 != (i = fread(title, 1, 32, filehandle)) ) {
X+    {
X+    #define DVD_SEC_SIZ 2048
X+    char tempBuf[ DVD_SEC_SIZ ];
X+    if ( DVD_SEC_SIZ != fread(tempBuf, 1, DVD_SEC_SIZ, filehandle) ) {
X         fclose(filehandle);
X         c=tr2i18n("Couldn't read enough bytes for title.\n");
X         setError(c);
X         strcpy(title, "unknown");
X         return -1;
X     }
X-
X+    snprintf( title, 32, "%s", tempBuf + 40 );
X+    i=32;
X+    }
X+
X     fclose (filehandle);
X
X     title[32] = '\0';
END-of-/usr/ports/multimedia/k9copy/files/patch-src_kdvd.cpp
echo x - /usr/ports/multimedia/k9copy/files/patch-src_Makefile.in
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-src_Makefile.in << 'END-of-/usr/ports/multimedia/k9copy/files/patch-src_Makefile.in'
X--- src/Makefile.in.orig       Tue Dec 20 16:07:46 2005
X+++ src/Makefile.in    Tue Dec 20 16:09:14 2005
X@@ -459,7 +459,7 @@
X shellrcdir = $(kde_datadir)/k9copy
X shellrc_DATA = k9copyui.rc
X applnkApplication_DATA = K9copy.desktop
X-applnkApplicationdir = $(kde_appsdir)/Application
X+applnkApplicationdir = $(kde_appsdir)/Multimedia
X AM_CXXFLAGS = -O2 -g3
X #>- all: all-am
X #>+ 1
END-of-/usr/ports/multimedia/k9copy/files/patch-src_Makefile.in
echo x - /usr/ports/multimedia/k9copy/files/patch-vamps_Makefile.in
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-vamps_Makefile.in << 'END-of-/usr/ports/multimedia/k9copy/files/patch-vamps_Makefile.in'
X--- vamps/Makefile.in.orig     Tue Dec 20 15:26:47 2005
X+++ vamps/Makefile.in  Tue Dec 20 15:30:34 2005
X@@ -329,7 +329,7 @@
X xdg_directorydir = @xdg_directorydir@
X xdg_menudir = @xdg_menudir@
X #>- METASOURCES = AUTO
X-usrbindir = /usr/bin
X+usrbindir = ${prefix}/bin
X k9vamps_LDADD = -lpthread -lm
X k9vamps_SOURCES = requant.h vamps.cpp putvlc.h getvlc.h requant.cpp
X k9playcell_LDADD = -ldvdread
END-of-/usr/ports/multimedia/k9copy/files/patch-vamps_Makefile.in
echo x - /usr/ports/multimedia/k9copy/files/patch-src_K9copy.desktop
sed 's/^X//' >/usr/ports/multimedia/k9copy/files/patch-src_K9copy.desktop << 'END-of-/usr/ports/multimedia/k9copy/files/patch-src_K9copy.desktop'
X--- src/K9copy.desktop.orig    Tue Dec 20 16:03:59 2005
X+++ src/K9copy.desktop Tue Dec 20 16:04:12 2005
X@@ -3,6 +3,6 @@
X Name=k9copy
X Exec=k9copy -caption "%c" %i %m %u
X Comment=
X-Icon=/home/jmp/dev/k9copy/src/k9copy.png
X+Icon=k9copy
X MimeTypes=
X Terminal=false
END-of-/usr/ports/multimedia/k9copy/files/patch-src_K9copy.desktop
exit
Comment 1 Edwin Groothuis freebsd_committer 2005-12-26 00:06:02 UTC
State Changed
From-To: open->closed

Committed, thanks!